import type { default as Indy, CredDef, CredDefId, Did, Schema, SchemaId } from 'indy-sdk';
import { AgentConfig } from '../../../agent/AgentConfig';
import { Wallet } from '../../../wallet/Wallet';
import { IndyIssuerService } from '../../indy';
export declare class LedgerService {
    private wallet;
    private indy;
    private logger;
    private _poolHandle?;
    private authorAgreement?;
    private indyIssuer;
    private agentConfig;
    private fileSystem;
    constructor(wallet: Wallet, agentConfig: AgentConfig, indyIssuer: IndyIssuerService);
    private getPoolHandle;
    close(): Promise<void>;
    delete(): Promise<void>;
    connect(): Promise<number>;
    getPublicDid(did: Did): Promise<Indy.GetNymResponse>;
    registerSchema(did: Did, schemaTemplate: SchemaTemplate): Promise<Schema>;
    getSchema(schemaId: SchemaId): Promise<Indy.Schema>;
    registerCredentialDefinition(did: Did, credentialDefinitionTemplate: CredentialDefinitionTemplate): Promise<CredDef>;
    getCredentialDefinition(credentialDefinitionId: CredDefId): Promise<Indy.CredDef>;
    private submitWriteRequest;
    private submitReadRequest;
    private appendTaa;
    private getTransactionAuthorAgreement;
    private getFirstAcceptanceMechanism;
    private getGenesisPath;
}
export interface SchemaTemplate {
    name: string;
    version: string;
    attributes: string[];
}
export interface CredentialDefinitionTemplate {
    schema: Schema;
    tag: string;
    signatureType: 'CL';
    supportRevocation: boolean;
}
