import type { BaseRecord } from './BaseRecord';
import type { StorageService, BaseRecordConstructor } from './StorageService';
import { Wallet } from '../wallet/Wallet';
export declare class IndyStorageService<T extends BaseRecord> implements StorageService<T> {
    private wallet;
    private static DEFAULT_QUERY_OPTIONS;
    constructor(wallet: Wallet);
    private transformToRecordTagValues;
    private transformFromRecordTagValues;
    private recordToInstance;
    /** @inheritDoc {StorageService#save} */
    save(record: T): Promise<void>;
    /** @inheritDoc {StorageService#update} */
    update(record: T): Promise<void>;
    /** @inheritDoc {StorageService#delete} */
    delete(record: T): Promise<void>;
    /** @inheritDoc {StorageService#getById} */
    getById(recordClass: BaseRecordConstructor<T>, id: string): Promise<T>;
    /** @inheritDoc {StorageService#getAll} */
    getAll(recordClass: BaseRecordConstructor<T>): Promise<T[]>;
    /** @inheritDoc {StorageService#findByQuery} */
    findByQuery(recordClass: BaseRecordConstructor<T>, query: Partial<ReturnType<T['getTags']>>): Promise<T[]>;
}
