import type { AgentMessage } from './agent/AgentMessage';
import type { TransportSession } from './agent/TransportService';
import type { Logger } from './logger';
import type { ConnectionRecord } from './modules/connections';
import type { AutoAcceptCredential } from './modules/credentials/CredentialAutoAcceptType';
import type { AutoAcceptProof } from './modules/proofs';
import type { MediatorPickupStrategy } from './modules/routing';
import type { Verkey, WalletConfig, WalletCredentials } from 'indy-sdk';
declare type $FixMe = any;
export declare type WireMessage = $FixMe;
export declare enum DidCommMimeType {
    V0 = "application/ssi-agent-wire",
    V1 = "application/didcomm-envelope-enc"
}
export interface InitConfig {
    endpoint?: string;
    label: string;
    publicDidSeed?: string;
    mediatorRecordId?: string;
    walletConfig?: WalletConfig;
    walletCredentials?: WalletCredentials;
    autoAcceptConnections?: boolean;
    autoAcceptProofs?: AutoAcceptProof;
    autoAcceptCredentials?: AutoAcceptCredential;
    poolName?: string;
    logger?: Logger;
    didCommMimeType?: DidCommMimeType;
    genesisPath?: string;
    genesisTransactions?: string;
    autoAcceptMediationRequests?: boolean;
    mediatorConnectionsInvite?: string;
    defaultMediatorId?: string;
    clearDefaultMediator?: boolean;
    mediatorPollingInterval?: number;
    mediatorPickupStrategy?: MediatorPickupStrategy;
}
export interface UnpackedMessage {
    '@type': string;
    [key: string]: unknown;
}
export interface UnpackedMessageContext {
    message: UnpackedMessage;
    sender_verkey?: Verkey;
    recipient_verkey?: Verkey;
}
export declare type PackedMessage = Record<string, unknown>;
export interface OutboundMessage<T extends AgentMessage = AgentMessage> {
    connection: ConnectionRecord;
    payload: T;
}
export interface OutboundPackage {
    connection: ConnectionRecord;
    payload: WireMessage;
    responseRequested?: boolean;
    endpoint?: string;
    session?: TransportSession;
}
export interface InboundConnection {
    verkey: Verkey;
    connection: ConnectionRecord;
}
export {};
